package Camera;

import lombok.Getter;

@Getter
public enum ArducamIMX477 {
    Mode1(8.3, 3840, 2160, "16:9"),
    Mode2(3.7, 2560, 1440, "16:9"),
    Mode3(2.1, 1920, 1080, "16:9"),
    Mode4(0.9, 1280, 720, "16:9"),
    Mode5(12.3, 4032, 3040, "4:3"),
    Mode6(5.0, 2592, 1944, "4:3"),
    Mode7(1.9, 1600, 1200, "4:3"),
    Mode8(1.2, 1280, 960, "4:3"),
    ModeBest(12.3, 4032, 3040, "4:3"),
    ModeLive(0.3, 640, 480, "4:3");

    private final double Megapixel;
    private final int width;
    private final int height;
    private final String aspectRatio;

    ArducamIMX477(double Megapixel, int width, int height, String aspectRatio) {
        this.Megapixel = Megapixel;
        this.width = width;
        this.height = height;
        this.aspectRatio = aspectRatio;
    }


}
